<template>
  <div class="view-code">
    <!-- {{hash}} -->
    <div class="container">
        <div class="border">

        </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class ViewCode extends Vue {
  get hash() {
    return this.$route.query.hash;
  }
}
</script>
<style lang="scss" scoped>
  .view-code{
    background: #454674;
    display: flex;
    justify-content: center;
    padding-top: 52px;
    .container{
      width:277px;
      height: 295px;
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 10px;
      background: #FFFFFF;
      .border{
        width: 195px;
        height: 195px;
        margin: 20px;
      background-image: linear-gradient(to left, #FF9F08, #FF9F08), 
                  linear-gradient(to left, #FF9F08, #FF9F08), 
                  linear-gradient(to left, #FF9F08, #FF9F08),
                  linear-gradient(to bottom, #FF9F08, #FF9F08), 
                  linear-gradient(to left, #FF9F08, #FF9F08),
                  linear-gradient(to bottom, #FF9F08, #FF9F08),
                  linear-gradient(to left, #FF9F08, #FF9F08),
                  linear-gradient(to left, #FF9F08, #FF9F08);
        background-size: 3px 20px, 20px 3px;
        background-position: left top, left top, right top, right top, left bottom, left bottom, right bottom, right bottom;
        background-repeat: no-repeat;
        border-radius: 5px;
      }
      
    }
  }
</style>
